Contents

Lime 9.16 Quick Reference

Use this reference to quickly start using Lime and as a quick reference guide for commonly used actions; however, there is no substitute for reading the Lime manual to fully understand what Lime can do. In addition, the GOODFEEL help file or manual is necessary for specifics about certain annotations.

This document was written for Lime 9.16 but most information applies back to version 9.15.

Sections

Starting a New Piece

Miscellaneous Musical Symbols and Features

Adding and Editing Notes and Rests

Annotations (Text and Lines)

Text Annotation Details

Problems and Tips

Terms

Hairpin: A crescendo or decrescendo indicated with lines.

System: A group of staves of different parts that are joined together to indicate that the music of these staves is to be performed at the same time.


Starting a New Piece

Starting from Scanning

If you have scanned your piece into a music recognition software such as SharpEye there are three things you must do in Lime even if your music was completed in the scanning software:

  • Name your parts - See the Naming and Adding Parts section below
  • Add a title to your piece (see Annotations (Text and Lines)).

Starting a New Piece in Lime

Open the File menu and select New and the New Piece dialog will be displayed. Using this dialog properly will help you set up your Lime document so that it will be formatted well which makes the piece easy to read. Note that these instructions rely on your judgment.

Measures, Measures per System and Systems per Page

These three fields indicate to Lime how the pages should be set up. Making the Lime page resemble the print page can make proofreading much easier.
Handling Variable Measures per System and Systems per Page

If the number of measures per system varies from system to system use the most predominant number and then use Insert Measures or Delete Measures (both under the Page menu) to fix individual systems later. Determine the number of measures by considering the number of measures per system, the number of systems per page and the number of pages. If you're a beginner it is usually simplest to grossly over-estimate the total number of measures and then delete extra measures at the end of the piece.
Name for First Part in Piece

Please specify the instrument name in this field (e.g.: clarinet, piano).
Staff for First Part in Piece

Only use Grand Staff for instruments that specify two hand parts like the piano and harp.

Finish Setting up Your Piece (After the New Piece dialog)

  • Check your key signature and clefs (See the Symbol menu). ***
  • Insert or delete measures (under the Page menu) to fix your systems. Pay attention to the Measures per System and Systems per Page fields! ***
  • Add partial measures: for example, to add a pickup of three eighth notes add a measure of 3/8 time even if the piece is in 4/4 time. ***
  • Check Default Accidentals under the Note menu.
  • *** See Miscellaneous Musical Symbols and Features

Naming and Adding Parts

GOODFEEL needs your parts to be named properly so that it can braille your music properly. Parts can be added and named using Lime's Parts and Voices dialog:

  • Select the first note or rest of your piece.
  • Go to the Voice menu and select Parts and Voices.
  • Select each part and click on the Rename button and enter an instrument name.


Miscellaneous Musical Symbols and Features

Overview

This page deals with the following dialogs under the Symbol menu:

  • Clef...
  • Key Signature...
  • Time Signature...
  • Bar Line...

and the following dialogs under the Page menu:

  • Insert Measures
  • Delete Measures

Using these dialogs is simple except that you must think about certain fields in these dialogs before you enter the dialogs. Many of these dialogs have both the Before Current Note / At End of System and Current Staff Only / All Staves radio buttons. For example, if you wish to change the clef at the beginning of a system you must click on the first note or rest of the system of the correct part before entering the Clef dialog and then be sure that Before Current Note is selected.

Before Current Note / After Current Note / At End of System

This radio button group allows the different musical features to be placed anywhere in the music but you must make sure that the correct note is selected especially with Before Current Note or After Current Note.

Current Staff Only / All Staves

This radio button group is only available if there is more than one staff per system and although it is set differently for different dialogs covered on this page it is almost always set correctly by default according to the dialog. For example, key and time signatures are always the same on each staff so All Staves is set by default for the time signature and key signature dialogs.

The Basic Steps

  • Single-click on the proper note or rest while thinking about the Before Current Note / After Current Note / At End of System radio buttons.
  • Make sure you clicked on the correct note or rest!
  • Open the appropriate dialog.
  • Make sure the Before Current Note / After Current Note / At End of System radio buttons are correct and then make your other selections in the dialog.


Adding and Editing Notes and Rests

Note Entry and Note Edit Modes

  • Note Entry allows new notes to be entered starting at the currently selected note or rest. Existing notes or rests are overwritten. Attributes selected in the Piano window will be assigned to the new notes. Note Entry mode is selected by double-clicking a note or rest.
  • Note Edit mode allows existing notes to be modified by selecting attributes in the Piano Window and also from the Note and Stem menus. Note Edit mode is selected by single-clicking a note or rest. You may need to first select the notes graphic on the left side of the Piano Window. To select a single note single-click the note or use the arrow keys to navigate to it. To select multiple notes use Note Group Select ***.
  • Control+N allows you to toggle between Note Entry and Note Edit modes.

Adding Notes

Step Loading

(Note that notes or rests are not actually entered until a pitch is selected.)

The Basic Steps
  1. Enter Note Entry Mode
    Notes or rests that are specified will be entered sequentially starting from the insertion point. Each time you enter a note the insertion point will move to the next appropriate point in time. For example, if your insertion pointer is on beat 1 in a 4/4 measure, after you enter a quarter note your insertion pointer will be on beat 2.
  2. Specify a Rhythm
    Select the correct rhythm in the Piano Window or with the numbers row on the computer keyboard. Additional selections of the same rhythm produce dotted rhythms.
  3. Select a Pitch or Rest (Hold down the Shift key for chords)
    • Select the correct key or rest (far right) in the Piano window.
    • Play the correct note on a MIDI or the computer keyboard.

Recording to a Metronome

A MIDI keyboard is highly recommended. Slowing down the metronome may help you play more consistently.
The Basic Steps
  1. Select the starting note or rest.
  2. Go to the Voice | Record menu item (Control+R) and start playing.

Editing Notes

Changing Rhythm or Pitch

Simply add notes or rests over existing notes or rests. See Adding Notes above.

Changing Attributes (slurs, ties, staccato, etc.)

See Note Edit mode above. Note that in Lime, notes are slurred or tied to the next note so a three note phrase will have the first two notes marked as slurred.

Copying Notes

You can save much time by copying and pasting identical or similar parts. To copy just notes and rests, use Note Group Select *** and Edit | Copy Music. To copy notes, rests and annotations select the first note of the first measure you wish to copy and use Edit | Copy Measures. To paste, select the note or rest where the copied notes should start and go to Edit | Paste Music.

*** Note Group Select: Select the first note then shift-click individual notes or drag a rectangle over many notes. Pressing Shift and an arrow key will also add to the selection.


Annotations (Text and Lines)

In Lime, any text, symbols, lines or curves which you add to the already existing graphics and symbols generated by Lime are referred to as annotations. A lyric is an example of a text annotation and hairpins and ending brackets are examples of line annotations. Note that GOODFEEL does not read the curve annotations from Lime; slurs are entered as attributes of notes (See Adding and Entering Notes and Rests). Every annotation is associated with a note. When you add an annotation, it is important to have the proper note selected by first either clicking on or arrowing to the proper note. This will make the annotation stay with the correct note no matter how the page is reformatted and it will also indicate to GOODFEEL where the annotation should be brailled.

Adding Text Annotations (three different ways)

1. Text Assistant

  • Select the proper note. This is VERY IMPORTANT!
  • Go to the Annotation menu and select a Text Assistant.

2. Copy and Paste

  • Select an annotation (see below) that you want to copy and select Edit | Copy (Control+C).
  • Select the appropriate note for the new annotation and select Edit | Paste (Control+V).
  • See Editing Annotations (below) for instructions on adjusting the new annotation.

3. Text Category (GOODFEEL's help file can also help)

  • Select the proper note. This is VERY IMPORTANT!
  • Go to the Annotation menu and select a Text Category.
  • Control-click where the annotation should go
  • Type the text of the annotation.
  • To add an annotation of the same type to the next note press the Tab key and then just type the text of the new annotation. This is very useful for lyrics and chord symbols.

Adding Line Annotations

  • Click on the line below the A on the left side of the Piano window if it is not already selected.
  • Click on the note that corresponds to where the line starts.
  • You might need to check or uncheck Style | Hairpin or Style | Bracket.
  • Control-drag the line from start to end.

Editing Annotations (Text and Lines)

Selecting Annotations

  • Single: Right-click or alt-click the right or left bottom corner of the annotation. To select a hairpin right-click or alt-click its upper left or upper right edge.
  • Multiple: Shift-right-click or alt-shift-click the right or left edge of annotations.

Changing Selected Annotations

  • Moving: Drag the annotation with the right mouse button or while keeping the Alt key down.
  • Changing attributes: Right-click the annotation and then change any attributes (from the Annotation menu).
  • Changing text: After making a selection, click in the text and use standard text editing procedures: backspace, delete, arrow keys and mouse selections.
  • Deleting: Select an annotation and then press the delete key.
  • Annotation Placement: Select and annotation and then select Annotation Placement... from the Annotation menu to specify an annotation's placement relative to the note, staff, bar line or page.


Text Annotation Details

General Notes

  • It is most important that all annotations are associated with the note to which they refer.
  • Use Annotation | Text Assistant whenever possible; otherwise, use Annotation | Text Category.
  • Use Shared Documents\Music\DDResources\Annotations.lim to copy special annotations such as pedals and codas and paste them into your Lime document. You can also use Character Map in Windows (Start|Programs|Accessories|System Tools) or Key Caps on a Macintosh. Both require that the proper font is selected.
  • Don't combine annotations that refer to different musical attributes. For example, don't have annotations like "p unison". Make them two separate annotations. "sempre p" should be kept together as one annotation.
  • Use Tab to easily to the next note when adding lyrics or chord symbols.

Notes for Specific Types of Annotations

TYPE | CATEGORY | ADDITIONAL COMMENTS
Expression | Dynamic, Articulation, Pause, Breath | (2) See Dynamic, Ornaments and Other Symbols Assistants
Lyric | Lyric | Standard rules for lyrics must be observed: Syllables that aren't last must be suffixed with dashes. Last syllables of words that go over more than one note must be suffixed with an underscore. Use Tab (see above).
Tempo | Tempo | (1)(2) Omit parentheses and "MM" from metronome markings.
Title | Title | (1)(2)
Composer | Composer | (1)(2)
Description | Other Text | (1) Put "Desc:" somewhere in the text. Description annotations are only brailled on title pages!
Publisher | Other Text | (1) Put "Publisher:" somewhere in the text.
Rehearsal Marker | Rehearsal | Alpha or numeric
Fingering | Fingering |
Coda or Segno | Repeat, Ending, Segno | (2) See Other Symbols Assistants. Also see Annotations.lim (see General Notes above).
Ending Number | Repeat, Ending, Segno | Numbered endings must be followed by a period, comma or dash.
Chord Symbol | Chord Symbol | (2) NOTE: Chord symbols are not brailled by GOODFEEL! Use Tab (see above).

Legend

(1) Always associated with the first note or rest of the piece.

(2) An assistant is available for this type of text


Problems and Tips

Incorrect Amount of Time in a Measure

When a Lime file is loaded into GOODFEEL, GOODFEEL analyzes the file and may display the error: Incorrect Amount of Time in a Measure. Sometimes Lime gets confused when importing scanned music and the result is a measure that has an incorrect amount of time. Sometimes the extra notes are not even visible. This problem is much more likely to occur with pieces with more than one voice on a staff.

Preventing the Problem

One way of preventing this problem is to Launch GOODFEEL (under Lime's file menu) right after a new Lime document is opened from the music scanning software so that GOODFEEL can look for incomplete measures. If any incomplete measures are found then the music should be fixed in the scanning software and then the music should be sent again to Lime. This process should be repeated until there are no more measures with an incorrect amount of time. Do not spend too much time fixing measures in the scanning software; it may be easier to simplify or even delete the music in a measure and fix the music later in Lime.

Fixing the Problem

If you already did a considerable amount of work on your Lime file, you can fix the problem two ways:

  1. Duration Edits
    1. Check Allow Duration Edits which is under the Edit menu but you MUST REMEMBER TO TURN IT OFF WHEN YOU ARE DONE or you may create more problems.
    2. Select notes and rests with incorrect rhythms and then select the correct rhythm. You can also remove notes by pressing Control+Delete.
  2. Replace the Measure
    1. Insert a new measure adjacent to the problem measure.
    2. Copy or reenter the music (make sure you don't copy the error).
    3. Delete the problem measure.

Misplaced Annotations

It's easy to attach an annotation to the wrong note and fixing this problem is easy too:

  1. Select the misplaced annotation and go to Edit | Cut Annotation (control+C).
  2. Select the note that the annotation should apply to and go to Edit | Paste Annotation (control+V).
  3. Here's the only tricky part: The newly pasted annotation may be far away from the note that it applies to. This distance is dependent on the distance from the annotation's original location to the note it was attached to. Sometimes the annotation may be off the screen in which case Lime will display it so that only part of it is visible. Alt-drag the annotation to it's correct position.

Lime Mouse Selection Summary

Selection | Piano Window | Sequence
One note | Notes | Click on the note.
Many notes | Notes | Click on the first note and shift-click or drag a rectangle around all the notes.
One annotation | A or the line | Alt-click the annotation.
Many annotations | A or the line | Alt-click the first annotation and shift-click or drag a rectangle around all the annotations.
Start an annotation | A or the line | Control-click where you want to place a new annotation.